#include "legato.h"
#include <unistd.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <stdlib.h>
#include <netdb.h>
#include <netinet/in.h>
#include <string.h>
#include <arpa/inet.h>
#define PORT 5000

COMPONENT_INIT
{
	int sock;
	int val;
	struct sockaddr_in serv_addr;
	char *hello = "Hello from client";
	char buffer[1024] = {0};
	if ((sock = socket(AF_INET, SOCK_STREAM, 0)) < 0)
	{
		printf("\n Socket creation error \n");
	}
	memset(&serv_addr, '0', sizeof(serv_addr));
	serv_addr.sin_family = AF_INET;
	serv_addr.sin_port = htons(PORT);
	// Convert IPv4 and IPv6 addresses from text to binary form
	if(inet_pton(AF_INET, "10.40.60.132", &serv_addr.sin_addr)<=0)
	{
		printf("\nInvalid address/ Address not supported \n");
	}
	val = connect(sock, (struct sockaddr *)&serv_addr, sizeof(serv_addr));
	printf("%d", val);
	if (val < 0)
	{
		printf("\nConnection Failed \n");
	}
	send(sock , hello , strlen(hello) , 0 );
	printf("Hello message sent\n");
	read( sock , buffer, sizeof(buffer));
	printf("%s\n",buffer );
}


