#include "legato.h"
#include <unistd.h>
#include <stdio.h>
#include <sys/socket.h>
#include <stdlib.h>
#include <netinet/in.h>
#include <string.h>
#define PORT 5000

COMPONENT_INIT
{
	int server_fd, new_socket;
	struct sockaddr_in address;
//	int addrlen = sizeof(address);
	char buffer[1024] = {0};
	char *hello = "Hello from server";
	// Creating socket file descriptor
	if ((server_fd = socket(AF_INET, SOCK_STREAM, 0)) == 0)
	{
		perror("socket failed");
		exit(EXIT_FAILURE);
	}
	address.sin_family = AF_INET;
	address.sin_addr.s_addr = INADDR_ANY;
	address.sin_port = htons( PORT );
	// Forcefully attaching socket to the port 5000
	if (bind(server_fd, (struct sockaddr *)&address, sizeof(address))<0)
	{
		perror("bind failed");
		exit(EXIT_FAILURE);
	}
	if (listen(server_fd, 3) < 0)
	{
		perror("listen");
		exit(EXIT_FAILURE);
	}
//	if ((new_socket = accept(server_fd, (struct sockaddr *)&address,(socklen_t)&addrlen))<0)
//	new_socket = accept(server_fd, (struct sockaddr *)&address, NULL);
	new_socket = accept(server_fd, (struct sockaddr *)NULL, NULL);
        if(new_socket < 0)
	{
		perror("accept");
		exit(EXIT_FAILURE);
	}
	read( new_socket , buffer, sizeof(buffer));
	printf("%s\n",buffer );
	send(new_socket , hello , strlen(hello) , 0 );
	printf("Hello message sent\n");
}
